{% extends 'base.html.twig' %}

{% block title %}Zaloguj się!{% endblock %}

{% block body %}
    <div class="container">
        <form method="post">
            {% if error %}
                <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
            {% endif %}

            {% if app.user %}
                <div class="mb-3">
                    Jesteś zalogowany na adres mailowy: {{ app.user.username }}, <a href="{{ path('app_logout') }}">Wyloguj się</a>
                </div>
            {% endif %}

            <h1 class="h3 mb-3 font-weight-normal">Zaloguj się</h1>
            <label for="inputEmail">Email</label>
            <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" required autofocus>
            <label for="inputPassword">Hasło</label>
            <input type="password" name="password" id="inputPassword" class="form-control" required>

            <input type="hidden" name="_csrf_token"
                   value="{{ csrf_token('authenticate') }}"
            >
            <button class="btn btn-lg btn-primary" type="submit">
                Zaloguj się
            </button>
        </form>
        <div>
            Jeśli nie masz konta - <a href="{{ path('app_register') }}">zarejestruj się</a>
        </div>
    </div>
{% endblock %}
